%bcond_without tests

%global pypi_name missingno
%global desc %{expand: \
Messy datasets? Missing values? missingno provides a small toolset 
of flexible and easy-to-use missing data visualizations and utilities 
that allows you to get a quick visual summary of the completeness 
(or lack thereof) of your dataset.}

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        3%{?dist}
Summary:        Missing data visualization module for Python
License:        MIT
URL:            https://github.com/ResidentMario/missingno
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%?python_enable_dependency_generator

%description
%{desc}

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires: python3-devel
BuildRequires: %{py3_dist setuptools}
BuildRequires: %{py3_dist seaborn}
BuildRequires: %{py3_dist pytest}
BuildRequires: %{py3_dist pytest-cov}
BuildRequires: %{py3_dist pytest-mpl}
BuildRequires: %{py3_dist numpy}
BuildRequires: %{py3_dist scipy}
BuildRequires: %{py3_dist pandas}
BuildRequires: %{py3_dist geopandas}
BuildRequires: %{py3_dist geoplot}
BuildRequires: %{py3_dist matplotlib}
BuildRequires: %{py3_dist nose}
BuildRequires: %{py3_dist descartes}
BuildRequires: quilt

Requires: %{py3_dist pandas}
Requires: %{py3_dist geopandas}
Requires: %{py3_dist geoplot}

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} ';'

%build
%py3_build

%install
%py3_install

%check
mkdir -p ~/.config/matplotlib/
echo "backend: Agg" > ~/.config/matplotlib/matplotlibrc
export PYTHONPATH=$RPM_BUILD_ROOT/%{python3_sitelib}
nosetests-%{python3_version} -v tests

%files -n python3-%{pypi_name}
%license LICENSE.md 
%doc README.md CONFIGURATION.md paper.bib paper.md QuickStart.ipynb
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 20 2019 Luis Bazan <lbazan@fedoraproject.org> - 0.4.0-2
- Fix comment #1 on BZ #1655725

* Mon Dec 03 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.4.0-1
- Initial import
